//
// Badge
//


// General styles

.badge {
  text-transform: $badge-text-transfom;

  a {
    color: $white;
  }
}


// Size variations

.badge-md {
  padding: .65em 1em;
}

.badge-lg {
  padding: .85em 1.375em;
}


// Multiple inline badges

.badge-inline {
  margin-right: .625rem;

  + span {
    top: 2px;
    position: relative;

    > a {
      text-decoration: underline;
    }
  }
}


// Badge spacing inside a btn with some text

.btn {
  .badge {
    &:not(:first-child) {
      margin-left: .5rem;
    }
    &:not(:last-child) {
      margin-right: .5rem;
    }
  }
}

//
// Circle badge
//


// General styles

.badge-circle {
  text-align: center;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  width: 2rem;
  height: 2rem;
  font-size: .875rem;
}


//
// Dot badge
//


// General styles

.badge-dot {
  padding-left: 0;
  padding-right: 0;
  background: transparent;
  font-weight: $font-weight-normal;
  font-size: $font-size-sm;
  text-transform: none;

  strong {
    color: $gray-800;
  }

  i {
    display: inline-block;
    vertical-align: middle;
    width: .375rem;
    height: .375rem;
    border-radius: 50%;
    margin-right: .375rem;
  }

  &.badge-md {
    i {
      width: .5rem;
      height: .5rem;
    }
  }

  &.badge-lg {
    i {
      width: .625rem;
      height: .625rem;
    }
  }
}
